Bug 1295108 - Review Request: mycli - Nice command line interface for MySQL Database with auto-completion and syntax highlighting
Review Request: mycli - Nice command line interface for MySQL Database with a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On: 1295103 1295154
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 09:46 EST by Terje Røsten
Modified: 2016-01-19 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 18:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fale: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2016-01-02 09:46:56 EST
spec: https://terjeros.fedorapeople.org/mycli/mycli.spec
srpm: https://terjeros.fedorapeople.org/mycli/mycli-1.5.2-1.fc23.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=12381035
fas: terjeros
desc:
Nice command line interface for MySQL Database with auto-completion and syntax highlighting.
Comment 1 Fabio Alessandro Locati 2016-01-03 04:36:45 EST
It seems like this package has a couple of minor things to be addressed before we are ready to go:

- it seems like the summary is too long. I would suggest "Interactive CLI for MySQL Database with auto-completion and syntax highlighting" [0]
- the package depends upon "python3-prompt-toolkit" which should be "python3-prompt_toolkit" [1]

[0] mycli.src: E: summary-too-long C Nice command line interface for MySQL Database with auto-completion and syntax highlighting
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1295154
Comment 2 Fabio Alessandro Locati 2016-01-03 05:23:31 EST
I've noticed a couple of other things:

- In %prep should be present the "rm -rf %{name}.egg-info" line to remove the egg-info that comes with the package from pypi
- In multiple places in the spec file the word "mycli" is written, while it should be substituted by "%{name}"
Comment 3 Terje Røsten 2016-01-03 07:20:44 EST
Updated:

- remove egginfo
- fix deps and summary

I can't find the policy to prefer mycli over %{name}. 
As mycli is shorter than %{name} is seems like strange thing to do.

spec: https://terjeros.fedorapeople.org/mycli/mycli.spec
srpm: https://terjeros.fedorapeople.org/mycli/mycli-1.5.2-2.fc23.src.rpm
Comment 4 Terje Røsten 2016-01-04 13:30:40 EST
> I can't find the policy to prefer mycli over %{name}. 

Sorry, I meant say:

is there really a policy that say %{name} must be used when possible?
Comment 5 Fabio Alessandro Locati 2016-01-07 13:06:10 EST
So, the short version is: the package is close to be ready imho, the following things should be fixed:

1. Remove the patch for using configobj 5.0.5. python-configobj 5.0.6 is on it's way :) https://bodhi.fedoraproject.org/updates/?packages=python-configobj
2. As for the naming thing: the ninth must item states "Package consistently uses macros (instead of hard-coded directory names).". Surely we can say that %{name} will not change (easily, at least) in future so it's not very different from being hardcoded, but if you look at the Python specific guidelines example (https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file) you can note that the variables are always used. My guess is that one of the side-effects of using variables is making python spec files (which are already very similar one to the other) more similar to help out readability and increase the probability that a random user reading the spec file is able to detect an error.

Nice to have: 
- point out to upstream that none of their file have an inline license

Aside from those, I think the rest is ok

The long version is:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     38 files have unknown license. Detailed output of licensecheck in
     /home/fale/Downloads/review-mycli/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mycli-1.5.2-2.fc23.noarch.rpm
          mycli-1.5.2-2.fc23.src.rpm
mycli.noarch: W: no-manual-page-for-binary mycli
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
mycli.noarch: W: invalid-url URL: http://mycli.net <urlopen error [Errno -3] Temporary failure in name resolution>
mycli.noarch: W: no-manual-page-for-binary mycli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
mycli (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyMySQL
    python3-click
    python3-configobj
    python3-crypto
    python3-prompt_toolkit
    python3-pygments
    python3-setuptools
    python3-sqlparse



Provides
--------
mycli:
    mycli



Source checksums
----------------
https://pypi.python.org/packages/source/m/mycli/mycli-1.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 55a3529656fda9eb25399c96baa4ab7c46dfc0b24495d6793181af6daa74c092
  CHECKSUM(SHA256) upstream package : 55a3529656fda9eb25399c96baa4ab7c46dfc0b24495d6793181af6daa74c092


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n mycli -L review-mycli-old/dependencies/
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/fale/Downloads/review-mycli-old/dependencies/python2-wcwidth-0.1.5-2.fc23.noarch.rpm
    /home/fale/Downloads/review-mycli-old/dependencies/python2-prompt_toolkit-0.52-2.fc23.noarch.rpm
    /home/fale/Downloads/review-mycli-old/dependencies/python2-configobj-5.0.6-3.fc23.noarch.rpm
    /home/fale/Downloads/review-mycli-old/dependencies/python3-prompt_toolkit-0.52-2.fc23.noarch.rpm
    /home/fale/Downloads/review-mycli-old/dependencies/python3-configobj-5.0.6-3.fc23.noarch.rpm
    /home/fale/Downloads/review-mycli-old/dependencies/python3-wcwidth-0.1.5-2.fc23.noarch.rpm
Comment 6 Terje Røsten 2016-01-07 13:24:23 EST
Thanks!

Update:
- Remove configobj patch
- Use name macro

srpm: https://terjeros.fedorapeople.org/mycli/mycli-1.5.2-3.fc23.src.rpm
spec: https://terjeros.fedorapeople.org/mycli/mycli.spec
Comment 7 Fabio Alessandro Locati 2016-01-07 13:33:03 EST
Thanks a lot!

Looks good now. The package is now approved!
Comment 8 Gwyn Ciesla 2016-01-09 13:43:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mycli
Comment 9 Fedora Update System 2016-01-10 08:24:09 EST
mycli-1.5.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe605bc905
Comment 10 Fedora Update System 2016-01-10 15:23:29 EST
mycli-1.5.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe605bc905
Comment 11 Fedora Update System 2016-01-19 18:28:05 EST
mycli-1.5.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.